---
title: "Clients"
url: https://docs.light-ai.app/api-reference/clients.md
canonical_url: https://docs.light-ai.app/api-reference/clients
last_updated: 2026-10-13
summary: "Customers and their properties."
api_status: beta
related:
  - https://docs.light-ai.app/api-reference
---

# Clients

> Customers and their properties.

Customers and their properties.

- `GET /v1/clients`: [List clients](https://docs.light-ai.app/api-reference/clients/list-clients.md)
- `POST /v1/clients`: [Create or update a client](https://docs.light-ai.app/api-reference/clients/upsert-client.md)
- `POST /v1/clients/search`: [Search clients by email, phone or address](https://docs.light-ai.app/api-reference/clients/search-clients.md)
- `GET /v1/clients/{client_id}`: [Retrieve a client](https://docs.light-ai.app/api-reference/clients/get-client.md)
- `PATCH /v1/clients/{client_id}`: [Update a client](https://docs.light-ai.app/api-reference/clients/update-client.md)
- `GET /v1/clients/{client_id}/properties`: [List a client's properties](https://docs.light-ai.app/api-reference/clients/list-client-properties.md)
- `POST /v1/clients/{client_id}/properties`: [Add a property to a client](https://docs.light-ai.app/api-reference/clients/add-client-property.md)
- `PUT /v1/clients/{object_id}/external_refs/{system}`: [Set your id for a client](https://docs.light-ai.app/api-reference/clients/put-client-external-ref.md)
- `DELETE /v1/clients/{object_id}/external_refs/{system}`: [Remove your id for a client](https://docs.light-ai.app/api-reference/clients/delete-client-external-ref.md)
